<?php

add_action( 'admin_menu', 'designer_services_getting_started' );
function designer_services_getting_started() {    	    	
	add_theme_page( esc_html__('Get Started', 'designer-services'), esc_html__('Get Started', 'designer-services'), 'edit_theme_options', 'designer-services-guide-page', 'designer_services_test_guide');   
}

function designer_services_admin_enqueue_scripts() {
	wp_enqueue_style( 'designer-services-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
}
add_action( 'admin_enqueue_scripts', 'designer_services_admin_enqueue_scripts' );

if ( ! defined( 'DESIGNER_SERVICES_DOCS_FREE' ) ) {
define('DESIGNER_SERVICES_DOCS_FREE',__('https://www.misbahwp.com/docs/designer-services-free-docs/','designer-services'));
}
if ( ! defined( 'DESIGNER_SERVICES_DOCS_PRO' ) ) {
define('DESIGNER_SERVICES_DOCS_PRO',__('https://www.misbahwp.com/docs/designer-services-pro-docs','designer-services'));
}
if ( ! defined( 'DESIGNER_SERVICES_BUY_NOW' ) ) {
define('DESIGNER_SERVICES_BUY_NOW',__('https://www.misbahwp.com/themes/designer-services-wordpress-theme/','designer-services'));
}
if ( ! defined( 'DESIGNER_SERVICES_SUPPORT_FREE' ) ) {
define('DESIGNER_SERVICES_SUPPORT_FREE',__('https://wordpress.org/support/theme/designer-services','designer-services'));
}
if ( ! defined( 'DESIGNER_SERVICES_REVIEW_FREE' ) ) {
define('DESIGNER_SERVICES_REVIEW_FREE',__('https://wordpress.org/support/theme/designer-services/reviews/#new-post','designer-services'));
}
if ( ! defined( 'DESIGNER_SERVICES_DEMO_PRO' ) ) {
define('DESIGNER_SERVICES_DEMO_PRO',__('https://www.misbahwp.com/demo/designer-services/','designer-services'));
}

function designer_services_test_guide() { ?>
	<?php $theme = wp_get_theme(); ?>
	
	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( DESIGNER_SERVICES_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'designer-services' ) ?></a>			
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'designer-services' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( DESIGNER_SERVICES_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'designer-services' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( DESIGNER_SERVICES_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'designer-services' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','designer-services'); ?><?php echo esc_html( $theme ); ?>  <span><?php esc_html_e('Version: ', 'designer-services'); ?><?php echo esc_html($theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-inside">
					<?php
						$theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postbox donate">
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','designer-services'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','designer-services'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','designer-services'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','designer-services'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>		    
	  		</div>
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'designer-services' ); ?></h3>
				<div class="inside">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','designer-services'); ?></p>
					<div id="admin_pro_links">			
						<a class="blue-button-2" href="<?php echo esc_url( DESIGNER_SERVICES_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'designer-services' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( DESIGNER_SERVICES_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'designer-services' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( DESIGNER_SERVICES_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'designer-services' ) ?></a>
					</div>
				</div>
			</div>
		</div>
	</div>

<?php } ?>
